---
title: List Topline Alerts
description: Reference for the GET /console/v1/alerts API endpoint.
product: general
token_estimate: 2083
---
# List Topline Alerts

> For AI agents: a documentation index is available at [/llms.txt](/llms.txt). Append `.md` to any page URL for markdown, or send `Accept: text/markdown`.

## List Topline Alerts

**GET** `/console/v1/alerts`

Full URL: `https://statsigapi.net/console/v1/alerts`

List Topline Alerts

## Authorizations

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| STATSIG-API-KEY | string | Yes | — | apiKey (header) |

## Query parameters

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| limit (query) | integer | No | 10 | Results per page Constraints: string, number |
| page (query) | integer | No | 1 | Page number Constraints: string, number |

## Response (application/json)

**200** — List Alerts success response

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| message | string | Yes | — | A simple string explaining the result of the operation. |
| data | object[] | Yes | — | — |
| data.id | string | Yes | — | ID of the alert |
| data.name | string | Yes | — | Name of the alert |
| data.alertType | string | Yes | — | Type of alert Allowed values: threshold, change, pct_change |
| data.metrics | object | Yes | — | List of metrics associated with this alert |
| data.metricGroupBys | object | Yes | — | Metric groupbys |
| data.formula | string | No | — | Formula for the alert |
| data.message | string | Yes | — | Alert message |
| data.creatorID | string | No | — | — |
| data.companyID | string | Yes | — | — |
| data.priority | string | Yes | — | Priority of this alert Allowed values: P0, P1, P2, P3, P4, P5 |
| data.alertThreshold | number | Yes | — | Constraints: format: double |
| data.warningThreshold | number | No | — | Constraints: format: double |
| data.windowMs | number | Yes | — | How far back and how frequently a metric should be checked, in milliseconds Constraints: format: double |
| data.evaluationDelayMs | number | No | — | Delay before evaluating metrics, in milliseconds. Use 0 or null to clear. Constraints: format: double, nullable |
| data.condition | string | Yes | — | Condition under which a metric change triggers an alert in milliseconds Allowed values: greater, greater_or_equal, less, less_or_equal, equal, not_equal |
| data.renotificationConditions | string[] | No | — | Condition under which a re-notification is sent |
| data.renotificationWindowMs | number | No | — | How long to wait before re-notifying in milliseconds Constraints: format: double |
| data.renotificationMessage | string | No | — | Re-notification message |
| data.team | string | No | — | Team associated with this alert Constraints: nullable |
| data.owner | object | No | {"ownerID":"user123","ownerType":"USER","ownerName":"John Doe","ownerEmail":"owner123@test.com"} | Schema for owner data including ID, type, name. Constraints: nullable |
| data.owner.ownerID | string | No | abc123 | ID of the owner |
| data.owner.ownerType | string | No | USER | Type of the owner (e.g., SDK_KEY or USER) |
| data.owner.ownerName | string | No | John Doe | The name of the owner. This field is optional. |
| data.owner.ownerEmail | string | No | — | The email of the owner. This field is optional. |
| data.tags | string[] | Yes | — | Tags associated with this alert |
| data.subscribers | object[] | Yes | — | Typed notification targets (subscribersV2): Slack channels and PagerDuty services used by direct alerty paging. Distinct from the legacy console member-subscriber edge (email/Slack DM), which CAPI does not expose. |
| data.subscribers.type | string | Yes | — | Typed integration subscriber kind (entity subscribersV2). pagerDutyService ids come from the company PagerDuty integration. pagerDutyOncall is legacy/inert. type=user here is a typed row only — it is not the legacy member email/Slack-DM subscriber edge. Allowed values: user, slackChannel, pagerDutyOncall, pagerDutyService |
| data.subscribers.id | string | Yes | — | Subscriber id (user id, Slack channel id, or PagerDuty service id). For pagerDutyService this is the integration services[].id, not a routing key. |
| pagination | object | Yes | — | Pagination metadata for checking if there is next page for example. |
| pagination.itemsPerPage | number | Yes | — | Constraints: format: double |
| pagination.pageNumber | number | Yes | — | Constraints: format: double |
| pagination.nextPage | string | Yes | — | Constraints: nullable |
| pagination.previousPage | string | Yes | — | Constraints: nullable |
| pagination.totalItems | number | No | — | Constraints: format: double |
| pagination.all | string | No | — | — |

```json
{
  "message": "string",
  "data": [
    {
      "id": "string",
      "name": "string",
      "alertType": "threshold",
      "metrics": {},
      "metricGroupBys": {},
      "formula": "string",
      "message": "string",
      "creatorID": "string",
      "companyID": "string",
      "priority": "P0",
      "alertThreshold": 0,
      "warningThreshold": 0,
      "windowMs": 0,
      "evaluationDelayMs": 0,
      "condition": "greater",
      "renotificationConditions": [
        "raise"
      ],
      "renotificationWindowMs": 0,
      "renotificationMessage": "string",
      "team": "string",
      "owner": {
        "ownerID": "user123",
        "ownerType": "USER",
        "ownerName": "John Doe",
        "ownerEmail": "owner123@test.com"
      },
      "tags": [
        "string"
      ],
      "subscribers": [
        {
          "type": "user",
          "id": "string"
        }
      ]
    }
  ],
  "pagination": {
    "itemsPerPage": 0,
    "pageNumber": 0,
    "nextPage": "string",
    "previousPage": "string",
    "totalItems": 0,
    "all": "string"
  }
}
```

**403** — Forbidden resource

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| status | number | Yes | — | Allowed values: 403 |
| message | string | Yes | — | Allowed values: Forbidden resource |

```json
{
  "status": 403,
  "message": "Forbidden resource"
}
```

## Code samples

### cURL

```bash
curl -X GET "https://statsigapi.net/console/v1/alerts?limit=10&page=1" \
  -H "Content-Type: application/json" \
  -H "STATSIG-API-KEY: YOUR_API_KEY"
```

### Python

```python
import requests

response = requests.get(
    "https://statsigapi.net/console/v1/alerts?limit=10&page=1",
    headers={
        "Content-Type": "application/json",
        "STATSIG-API-KEY": "YOUR_API_KEY"
    }
)
data = response.json()
```

### JavaScript

```javascript
const response = await fetch("https://statsigapi.net/console/v1/alerts?limit=10&page=1", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "STATSIG-API-KEY": "YOUR_API_KEY"
  }
});
const data = await response.json();
```

### PHP

```php
<?php
$ch = curl_init("https://statsigapi.net/console/v1/alerts?limit=10&page=1");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Content-Type: application/json",
    "STATSIG-API-KEY: YOUR_API_KEY"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
```

### Go

```go
package main

import (
  "bytes"
  "net/http"
)

func main() {
req, _ := http.NewRequest("GET", "https://statsigapi.net/console/v1/alerts?limit=10&page=1", nil)
req.Header.Set("Content-Type", "application/json")
req.Header.Set("STATSIG-API-KEY", "YOUR_API_KEY")
  client := &http.Client{}
  resp, _ := client.Do(req)
  defer resp.Body.Close()
}
```

### Java

```java
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
      .uri(URI.create("https://statsigapi.net/console/v1/alerts?limit=10&page=1"))
      .method("GET", HttpRequest.BodyPublishers.noBody())
.header("Content-Type", "application/json")
      .header("STATSIG-API-KEY", "YOUR_API_KEY")
      .build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
```

### Ruby

```ruby
require "net/http"
require "json"

uri = URI("https://statsigapi.net/console/v1/alerts?limit=10&page=1")
request = Net::HTTP::Get.new(uri)
request["Content-Type"] = "application/json"
request["STATSIG-API-KEY"] = "YOUR_API_KEY"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
  http.request(request)
end
```

